%define name kiso
%define version 0.7
%define release 3mdk

Name: 		%name
Version: 	%version
Release: 	%release
Summary: 	KIso is a graphical user interface for KDE to manage ISO and NRG images
Source:  	http://prdownloads.sourceforge.net/kiso/%{name}-%{version}.tar.bz2
URL: 		http://kiso.sourceforge.net/
Group: 		Archiving/Other
License: 	GPL
BuildRoot: 	%_tmppath/%{name}-%{version}
BuildRequires: kdelibs-devel libcdio-devel

%description
KIso is a graphical user interface for KDE which has the purpose to make it 
as easy as possible to open ISO and NRG images, create an ISO image from CD,
easy and convenient creation of own ISO images, convert NRG to ISO images,
convert BIN/CUE to ISO images, mount ISO/NRG images as virtual drive,
extract the content of an ISO/NRG image, create bootable images.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q 

%build
%configure

%make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot/%_datadir/applnk/System/Archiving/Other
%makeinstall

install -d %buildroot/%_menudir/
kdedesktop2mdkmenu.pl %{name} "System/Archiving/Other" %buildroot/%_datadir/applnk/Utilities/%{name}.desktop %buildroot/%_menudir/%{name}

#icons for rpmlint
mkdir -p %buildroot/{%_liconsdir,%_miconsdir,%_iconsdir}
ln -s %_datadir/icons/hicolor/32x32/apps/%{name}.png %buildroot/%_iconsdir
ln -s %_datadir/icons/hicolor/16x16/apps/%{name}.png %buildroot/%_miconsdir


%find_lang %name

%post
%update_menus

%postun
%clean_menus


%files -f %name.lang
%defattr(-,root,root,0755)
%doc AUTHORS COPYING ChangeLog INSTALL README
%_bindir/%name
%_menudir/%name
%_datadir/applnk/Utilities/%name.desktop
%_datadir/apps/%name/*

%dir %_datadir/apps/konqueror/servicemenus/
%_datadir/apps/konqueror/servicemenus/kiso_konqy.desktop


%doc %_docdir/HTML/*

%_datadir/icons/hicolor/16x16/apps/*
%_datadir/icons/hicolor/32x32/apps/*
%_datadir/mimelnk/application/x-nrg.desktop

%_iconsdir/%{name}.png
%_miconsdir/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Feb 03 2005 Angelo Naselli <anaselli@mandrake.org> 0.7-3mdk
- rebuilt for new libcdio

* Thu Dec 30 2004 Angelo Naselli <anaselli@mandrake.org> 0.7-2mdk
- rebuilt for new libcdio

* Mon Nov 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.7-1mdk
- 0.7

* Sun Oct 31 2004 Angelo Naselli <anaselli@mandrake.org> 0.6-0.1mdk
- built mandrake version

